gbranden pushed a commit to branch master
in repository groff.

commit fad8dfc74dfba5ede0a9728942a75894cfa8850d
Author: G. Branden Robinson <[email protected]>
Date:   Fri Apr 27 10:14:17 2018 -0400

    eqn2graph: Name the temp dir after the tool.
    
    ...not the one the code was cut-and-pasted from.
    
    Signed-off-by: G. Branden Robinson <[email protected]>
---
 contrib/eqn2graph/eqn2graph.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/contrib/eqn2graph/eqn2graph.sh b/contrib/eqn2graph/eqn2graph.sh
index 620dd37..3e9c374 100644
--- a/contrib/eqn2graph/eqn2graph.sh
+++ b/contrib/eqn2graph/eqn2graph.sh
@@ -65,14 +65,14 @@ then
     exit 1
 fi
 
-if ! tmp=`(umask 077 && mktemp -d -q "$d/pic2graph-XXXXXX") 2> /dev/null`
+if ! tmp=`(umask 077 && mktemp -d -q "$d/eqn2graph-XXXXXX") 2> /dev/null`
 then
     # mktemp failed--not installed or is a version that doesn't support those
     # flags?  Fall back to older method which uses more predictable naming.
     #
     # $RANDOM is a Bashism.  The fallback of $PPID is not good 
pseudorandomness,
     # but is supported by the stripped-down dash shell, for instance.
-    tmp="$d/pic2graph$$-${RANDOM:-$PPID}"
+    tmp="$d/eqn2graph$$-${RANDOM:-$PPID}"
     (umask 077 && mkdir "$tmp") 2> /dev/null
 fi
 

_______________________________________________
Groff-commit mailing list
[email protected]
https://lists.gnu.org/mailman/listinfo/groff-commit

Reply via email to